<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Northwind Customers</title>
</head>
<body>
    <div>
        <h1>Navigation</h1>
        <ul>
            <li><a href="#">Customer List</a></li>
            <li><a href="/add">Add Customer</a></li>
        </ul>
    </div>
    <div>
        <h1>Search</h1>
        <form th:action="@{/}" method="get">
            <div>
                <label for="query">Search:</label>
                <input id="query" type="text" th:name="query" th:value="${query}" />
                <input type="submit" value="Submit" />
            </div>
        </form>
    </div>
    <div>
        <h1>Customer List</h1>
        <ul th:each="cust: ${customers}">
            <li th:text="${cust.getCompanyName()}"></li>
        </ul>
    </div>
</body>
</html>